import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class ScoreBoard extends Actor
{
  private GreenfootImage board;
  private GreenfootImage sb;
  private int score = 0;
  private String label = "Calories:";
 
    
     public ScoreBoard()
        {
            super();
               int boardWidth = 250;
               int boardHeight = 30;
               board = new GreenfootImage(boardWidth,boardHeight);
                   board.setColor(Color.blue);
                   board.fillRect(0, 0, boardWidth,boardHeight);
                   this.setImage(board);
                
                  update();
            }
            public int getScore()
            {
                return score;
            }
            public void addScore(int pts)
            {
                score += pts;
                 update();
                }

    public void update()
    {
        sb = new GreenfootImage(board);
        sb.drawImage(new GreenfootImage(label + score, 18, Color.WHITE, new Color(0,0,0,0)),25,5);
        this.setImage(sb);
    }
   
    
    public void act(){
        if (score < 0)
           {
               Greenfoot.setWorld(new endGame());
            }
       if (Greenfoot.isKeyDown("shift"))
            {
           background world;
            world = (background) getWorld();
                world.increaseScore(-1);   
            }
        }
}
